Fetch List of Leads in Lead List

This API allows you to fetch list of leads in lead list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request GET \
     --url https://api.servetel.in/v1/broadcast/leads/id \
     --header 'accept: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

The following parameter is required to fetch list of leads in lead list:

Variable NameDescriptionData Type
idUnique ID of the broadcast List to which the lead corresponds toString

Sample Response

[
  {
    "id": 21025113,
    "lead_id": 21025113,
    "list_id": 5358,
    "field_0": "+9188888888882",
    "field_1": "xyz",
    "field_2": null,
    "field_3": null,
    "field_4": null,
    "field_5": "1200",
    "field_6": "July 2",
    "skill_id": null,
    "move_to_hopper_status": 1,
    "time_group": null,
    "added_by": 10959,
    "created_by": 10959,
    "dial_status": 2,
    "lead_picked": 0,
    "available_at": {
      "$date": {
        "$numberLong": "1608049043000"
      }
    },
    "dialer_dial_status": 0,
    "created_at": {
      "$date": {
        "$numberLong": "1593030529000"
      }
    },
    "retry_count": 0,
    "alternate_phone_number": null,
    "priority": null,
    "list_name": "June Payment Collection",
    "header": "[\"Phone Number\",\"Name\",\"Email Id\",\"Address\",\"Company Name\",\"Due Amount\",\"Due Date\"]",
    "sensitive_field_map": null,
    "dialer_skill": null
  },

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
idUnique ID of the broadcast List to which the lead corresponds toString
lead_idUnique ID of the LeadInteger
list_idUnique ID of the Broadcast List the lead corresponds toInteger
field_0Phone Number of the LeadString
field_1Name for the LeadString
field_2Email of the LeadString
field_3Address for the LeadString
field_4Company Name of the LeadString
field_5Custom Field.String
field_6Custom Field.String
skill_idUnique ID of the skill assigned to the lead.Integer
time_groupUnique ID of the time group assigned to the lead.Integer
added_byUnique ID of the client.Integer
created_byUnique ID of the client.Integer
dial_statusStatus of the lead. For example: "1" => "New", "2" => "Message Played" , "3" => "DTMF Pressed", "4" => "No Answer", "5" => "DND", "6" => "Busy", "7" => "Congestion", "8" => "Failed", "9" => "Account DND".Integer
lead_pickedWhether the call is answered by the lead or not.Integer
available_at.$date.$numberLongTotal time for which the lead was available to call.String
dialer_dial_statusDisposition status of the lead in the lead list. For example: 'New' => 0, 'Undisposed' => -1, 'Number in Account DND List' => -2, 'Number in Public DND List' => -3, 'Emergency' => -4, 'Call Drop' => -5, 'Channel Limit Reached' => -6, 'Number in Account Block List' => -7.Integer
created_at.$date.$numberLongTime at which the lead was created in the listString
retry_countTimes for which the call has been retried for the lead.String
alternate_phone_numberAlternate phone number of the lead.String
priorityPriority at which the lead will be selected to dial. Note: Priority should be between 1 and 30 where 30 is highest and 1 is lowest.Integer
list_nameName of the List Lead corresponds toString
headerName of all the detail fields that corresponds to the LeadJSON
sensitive_field_mapNumber of fields mapped with the lead that are sensitive.String.
dialer_skillID and name of the skill list assigned to the lead.Object

fields can increase like field_7, field_8 etc. according to the field array that is set while creating the Broadcast List.

Path Params
string
required
Query Params
string
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json